---
name: Vulnerability Report
about: Report a security vulnerability in the project
title: "[Vulnerability] <Brief Summary of the Vulnerability>"
labels: vulnerability, security 
assignees: ''
---

<!--
Note: Please search to see if an issue already exists for the vulnerability you encountered.
-->


# Vulnerability Details

**Title:**
<!-- A brief title summarizing the vulnerability (e.g. "SQL Injection in Agent Tool xyz") -->

**Description:**
<!--
A detailed description of the vulnerability.
Explain what the vulnerability is, what components
of the framework it affects, and any specific configurations
or conditions that may lead to exploitation.
-->

**Impact:**
<!--
Explain the potential impact of the vulnerability on the framework and users, including
what information could be exposed, altered, or destroyed.


Include any possible scenarios in which the vulnerability could be exploited.
-->

## Steps to Reproduce

<!--

Please provide a clear and concise list of steps to reproduce the vulnerability:

-->

## Evidence:

<!--

If possible, please provide any screenshots, logs, or console outputs that
demonstrate the vulnerability.

This helps to convey the issue effectively.
-->

## Environment

<!--

Please provide details about the environment in which you discovered the vulnerability:

- **Operating System:** (e.g., Windows 10, Ubuntu 20.04)
- **Browser:** (e.g., Chrome 92, Firefox 89)
- **Application Version:** (e.g., 1.2.3)
- **Library Versions:** (list any libraries or dependencies relevant to the vulnerability)

-->

## Suggested Mitigation

<!--

If you have thoughts on how to fix or mitigate the vulnerabilit, please provide them below.
This could include code changes, configurations, or references to best practices.

-->

## Additional Context

<!--
Provide any additional context or information that you believe is necessary for understanding 
the vulnerability or its implications.
-->
---

**Thank you for reporting!**
We appreciate your efforts in helping us keep this project secure
